"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ConditionalExpressionHandler;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var t = require('@babel/types');

function ConditionalExpressionHandler(path, stylesCollector, stylesVarName) {
  var expression = path.node.value.expression;

  if (expression.consequent.type !== 'StringLiteral' || expression.alternate.type !== 'StringLiteral') {
    return;
  }

  var consequentStyles = expression.consequent.value.split(' ').filter(function (s) {
    return s !== '';
  });
  var alternateStyles = expression.alternate.value.split(' ').filter(function (s) {
    return s !== '';
  });
  stylesCollector.push.apply(stylesCollector, (0, _toConsumableArray2.default)(consequentStyles).concat((0, _toConsumableArray2.default)(alternateStyles)));
  expression.consequent = createArrayExpression(consequentStyles);
  expression.alternate = createArrayExpression(alternateStyles);
  path.replaceWith(t.jsxAttribute(t.jsxIdentifier('className'), t.JSXExpressionContainer(t.callExpression(t.identifier(stylesVarName), [t.SpreadElement(expression)]))));
}

function createArrayExpression(styles) {
  return t.ArrayExpression(styles.map(function (s) {
    return t.StringLiteral(s);
  }));
}