"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getCssDeclarations;

var _require = require('@adeira/sx-tailwind'),
    suggestUtility = _require.suggestUtility;

function getCssDeclarations(utilityName, tailwindKeyframes, tailwindStyles) {
  var tailwindUtility = tailwindStyles[utilityName];

  if (tailwindUtility == null) {
    var suggestedName = suggestUtility(utilityName, tailwindStyles);
    throw new Error("Unknow utility name: ".concat(utilityName, ". Did you mean \"").concat(suggestedName, "\" instead?"));
  }

  var keyframe = tailwindKeyframes[tailwindUtility.animationName];

  if (tailwindUtility != null && keyframe != null) {
    var cssVarName = "--animation-name-".concat(tailwindUtility.animationName);
    tailwindUtility[cssVarName] = "sx.keyframes(".concat(JSON.stringify(keyframe), ")");
    delete tailwindUtility.animationName;
    return tailwindUtility;
  }

  return tailwindUtility;
}